Geneos 5.x Compatibility Matrix

Supported Geneos versions

ITRS supports all released versions based on the current plus the previous major versions of Geneos. Only the latest major version will receive regular fixes and enhancements. In exceptional circumstances, critical fixes may be backported to previous major versions where it is not reasonably possible to upgrade to newer versions.

The supported Geneos versions are:

  • 5.x (current major version)
  • 4.x (previous major version)
    • Some of Geneos 4.x versions may not be supported on newer platforms, databases, browsers, and applications. For more information, see the Geneos 4.x Compatibility Matrix.
  • SSO Agent 1.x
  • Gateway Hub 1.x
  • MiniGeneos 1.x

For more information on compatibility between Gateway and Gateway Hub components, see the Gateway Hub Compatibility Matrix.

Upgrading between Geneos versions can introduce different changes. For more information, see the Geneos Upgrade Notes.

Important

  • Support for Geneos 3.x ended on 30 April 2020. We strongly advise you to upgrade to version 4.x or newer as soon as possible.
  • From the release of Geneos 5.0.x, there will be no interoperability with other Geneos components older than version 3.6.x. In order to successfully deploy or upgrade to Geneos 5.0.x or newer software in a staged manner, you must first ensure that no other connecting Geneos components are older than version 3.6.x. This change is a result of the removal of LZO compression support in the inter-component EMF2 communication protocol.

If you have any question or concerns, please contact ITRS Support.

Operating system support

Operating system Versions supported  
Windows

Desktop 8.1 and 10

Server 2012, 2012 R2, 2016, and 2019

 
Linux: Red Hat

RHEL 6.x [kernel 2.6.32]

RHEL 7.x [kernel 3.10]

RHEL 8.x [kernel 4.18]

 
Linux: Red Hat on IBM POWER8 RHEL 7.x [Little Endian]  
Linux: SUSE

SLES 11.x

SLES 12.x

SLES 15.x

 
Linux: Ubuntu 18.04x LTS  
IBM AIX 7.1 and 7.2  
IBM i (OS/400) 7.2, 7.3, and 7.4  
macOS

10.14.x (Mojave)

Available only to the Active Console.

 
     

Geneos components

Geneos components Supported operating systems
  Windows Linux: Red Hat Linux: SUSE Linux: Ubuntu Linux: Red Hat on IBM POWER8 IBM AIX macOS
Active Console (tick)     (tick)     (tick)
Collection Agent (tick) (tick) (tick) (tick)      
FIX Analyser 2 File Agent (tick) (tick) (tick)     (tick)  
FIX Analyser 2 Netprobe   (tick)          
Gateway   (tick) (tick) (tick)      
Gateway Hub   (tick)          
Licence Daemon   (tick) (tick) (tick)      
MiniGeneos Runs in a Docker container.
Netprobe (tick) (tick) (tick) (tick) (tick) (tick)  
SSO Agent   (tick)   (tick)    
Web Dashboard (Web Server)   (tick)          
Webslinger   (tick)          

Note:

  • IBM i operating system is monitored remotely by Netprobe run on Linux operating system.
  • Solaris platforms are only supported for Geneos 4.x versions.
  • Gateway Hub is supported on Red Hat and CentOS Linux versions 7.2, 7.3, and 7.4.

Containerised environment support

ITRS supports running Geneos components version 4.8.0 and newer in the following containerised environments. Each component should meet the documented minimum operating system requirements.

Container environment Active Console Gateway Gateway Hub Netprobe File Agent FIX Analyser 2 Licence Daemon SSO Agent Web Dashboard Webslinger
Docker Enterprise or Community Edition version 18.03 or higher   (tick)   (tick) (tick) (tick)     (tick) (tick)

Note: Support for Docker itself or any of its services are not provided by ITRS. See the Docker and Kubernetes product documentation on how to build and manage Docker services.

Cloud environment support

ITRS supports running Geneos components version 4.8.0 and newer in cloud environments such as Amazon Web Services (AWS), Google Cloud Platform, and Microsoft Azure. Each component should meet the documented minimum operating system requirements.

Deploying Geneos into any cloud environments should take into consideration connectivity, performance, network traffic, and cost implications.

For more information, see Geneos on Amazon Web Services Cloud.

Plug-in support

Netprobe plugins

Supported Netprobe plug-ins Supported operating systems
 

Windows

Linux: Red Hat

Linux: SUSE Linux: Ubuntu

Linux: Red Hat on IBM POWER8

IBM AIX

API (XML-RPC)

(tick)

(tick)

(tick) (tick) (tick)

 

API Streams (XML-RPC)

(tick)

(tick)

(tick) (tick) (tick)

 

Bloomberg B-Pipe

(tick)

(tick)

(tick) (tick)  

 

Clearvision Status

(tick)

 

     

 

Control-M (BMC) (tick) (tick) (tick) (tick) (tick) (tick)

CPU

(tick)

(tick)

(tick) (tick) (tick)

(tick)

Desktop PC Monitoring

(tick)

 

     

 

Device IO

 

(tick)

(tick) (tick) (tick)

 

Disk

(tick)

(tick)

(tick) (tick) (tick)

(tick)

Dynamic Entities Health

(tick)

(tick)

(tick) (tick)    

E4JMS (Tibco EMS) Bridges

(tick)

(tick)

(tick)

(tick)

(tick)

 

E4JMS (Tibco EMS) Connections

(tick)

(tick)

(tick)

(tick)

(tick)

 

E4JMS (Tibco EMS) Durables

(tick)

(tick)

(tick)

(tick)

(tick)

 

E4JMS (Tibco EMS) Non-Durables

(tick)

(tick)

(tick)

(tick)

(tick)

 

E4JMS (Tibco EMS) Queues

(tick)

(tick)

(tick)

(tick)

(tick)

 

E4JMS (Tibco EMS) Routes

(tick)

(tick)

(tick)

(tick)

(tick)

 

E4JMS (Tibco EMS) Server

(tick)

(tick)

(tick)

(tick)

(tick)

 

E4JMS (Tibco EMS) Topics

(tick)

(tick)

(tick)

(tick)

(tick)

 

E4JMS (Tibco EMS) User Summary

(tick)

(tick)

(tick)

(tick)

(tick)

 

Extractor

(tick)

(tick)

(tick)

(tick)

(tick)

(tick)

Fidessa

 

(tick)

(tick)

(tick)

(tick)

 

Fidessa DQ

 

(tick)

(tick)

(tick)

(tick)

 

FIX Analyser 2

 

(tick)

(tick)

(tick)

 

 

File Keyword Monitor (FKM)

(tick)

(tick)

(tick)

(tick)

(tick)

(tick)

File Latency Monitor (FLM)

(tick)

(tick)

(tick)

(tick)

 

 

File Transfer Monitor (FTM)

(tick)

(tick)

(tick)

(tick)

(tick)

(tick)

GL Greffon

(tick)

(tick)

(tick)

(tick)

(tick)

 

GL Lost Orders

Only supported on Geneos 4.x versions of the Netprobe.

GL Order Book

Only supported on Geneos 4.x versions of the Netprobe.

GL Permissions

(tick)

(tick)

(tick) (tick) (tick)

 

GL Router

(tick)

(tick)

(tick) (tick) (tick)

 

GL SLC

(tick)

(tick)

(tick) (tick) (tick)

 

GL SLC Relay

(tick)

(tick)

(tick) (tick) (tick)

 

GL SLE

(tick)

(tick)

(tick) (tick) (tick)

 

GL SLE TCP

(tick)

(tick)

(tick) (tick) (tick)

 

Hardware

(tick)

(tick)

(tick) (tick) (tick)

(tick)

IBM i Job

 

(tick)

(tick) (tick) (tick)

 

IBM i Log Reader   (tick) (tick) (tick) (tick)  

IBM i Message

 

(tick)

(tick) (tick) (tick)

 

IBM i Pool

 

(tick)

(tick) (tick) (tick)

 

IBM i Queue

 

(tick)

(tick) (tick) (tick)

 

IBM i Subsystem

 

(tick)

(tick) (tick) (tick)

 

IBM i System

 

(tick)

(tick) (tick) (tick)

 

IPC (Shared Memory)

 

(tick)

(tick) (tick) (tick)

 

IX Message Analyser

(tick)

(tick)

(tick) (tick) (tick)

 

JMX Server

(tick)

(tick)

(tick) (tick) (tick)

(tick)

JMX Thread Info (tick) (tick) (tick) (tick) (tick) (tick)

Market Data Monitor (MDM)

(tick)

(tick)

(tick) (tick)  

 

Message Tracker

(tick)

(tick)

(tick) (tick)  

 

MIB Monitor (Mibmon)

(tick)

(tick)

(tick) (tick) (tick)

 

MQ Channel (IBM)

(tick)

(tick)

(tick) (tick) (tick)

(tick)

MQ Queue Info (IBM)

(tick)

(tick)

(tick) (tick) (tick)

(tick)

MQ Queue (IBM)

(tick)

(tick)

(tick) (tick) (tick)

(tick)

NET Ping

(tick)

(tick)

(tick) (tick) (tick)

 

Network

(tick)

(tick)

(tick) (tick) (tick)

(tick)

NYXT Papastats

(tick)

(tick)

(tick) (tick) (tick)

 

Oracle

(tick)

(tick)

(tick) (tick) (tick)

(tick)

Orc

(tick)

(tick)

(tick) (tick) (tick)

 

PATS Status

(tick)

(tick)

(tick) (tick) (tick)

 

PATS Trading Breaches

(tick)

(tick)

(tick) (tick) (tick)

 

PATS Users

(tick)

(tick)

(tick) (tick)  

 

Perfmon

(tick)

 

     

 

Processes

(tick)

(tick)

(tick) (tick) (tick)

(tick)

Publisher (tick) (tick) (tick) (tick)    
REST API (Inbound) (tick) (tick) (tick) (tick)    
REST Extractor (tick) (tick) (tick) (tick)    

RMC Interface (Refinitiv)

 

(tick)

(tick) (tick)  

 

SETS SLC

(tick)

(tick)

(tick) (tick) (tick)

 

SQL Toolkit

(tick)

(tick)

(tick) (tick) (tick)

(tick)

State Tracker

(tick)

(tick)

(tick) (tick) (tick)

(tick)

SU

Only supported on Geneos 4.x versions of the Netprobe.

Sybase

(tick)

(tick)

(tick) (tick)  

(tick)

Sybase Server

(tick)

(tick)

(tick) (tick)  

(tick)

TCP Links

(tick)

(tick)

(tick) (tick) (tick)

(tick)

TIB RV

(tick)

(tick)

(tick) (tick)  

 

TIB RV Publisher

(tick)

(tick)

(tick) (tick)  

 

TIB RV Stream

(tick)

(tick)

(tick) (tick)  

 

Toolkit (Scripting)

(tick)

(tick)

(tick) (tick) (tick)

(tick)

Top

(tick)

(tick)

(tick) (tick) (tick)

 

Tradeview (previously called Datacom)

Supported only on Tradeview devices.

Trading Technologies

(tick)

(tick)

(tick) (tick) (tick)

 

Trap Monitor

Limited

(tick)

(tick) (tick) (tick)

 

UNIX Users

 

(tick)

(tick) (tick) (tick)

(tick)

Veritas Cluster Server

(tick)

(tick)

(tick) (tick)  

 

Web Monitor

(tick)

(tick)

(tick) (tick) (tick)

 

Win Apps

(tick)

 

     

 

Win Cluster

(tick)

 

     

 

Win Services

(tick)

 

     

 

WMI

(tick)

 

     

 

WTS Licenses

(tick)

 

     

 

WTS Processes (tick)          
WTS Session (tick)          
WTS Summary (tick)          

X Broadcast

(tick)

(tick)

(tick) (tick) (tick)

 

X Mcast

(tick)

(tick)

(tick) (tick) (tick)

 

X Multicast

(tick)

(tick)

(tick) (tick) (tick)

 

X Ping

(tick)

(tick)

(tick) (tick) (tick)

 

X Route

(tick)

(tick)

(tick) (tick) (tick)

 

X Services

(tick)

(tick)

(tick) (tick) (tick)

 

X Top

(tick)

(tick)

(tick) (tick) (tick)

 

X Traffic

(tick)

(tick)

(tick) (tick) (tick)

 

             

Collection Agent plugins

Collection Agent plugin Supported operating systems
 

Windows

Linux: Red Hat

Linux: SUSE Linux: Ubuntu

Linux: Red Hat on IBM POWER8

IBM AIX

StatsD

(tick)

(tick)

(tick) (tick)  

 

Kubernetes

 

(tick)

(tick) (tick)  

 

Cloud Foundry   (tick) (tick) (tick)    
             
Collection Agent plugin Supported Collection Agent Supported Netprobe
  Collection Agent 1.x Collection Agent 2.x Netprobe 5.0.0 and earlier Netprobe 5.1.0 +
StatsD 1.x (tick)   (tick)  
StatsD 2.x   (tick)   (tick)
Kubernetes 1.x (tick)   (tick)  
Kubernetes 2.x   (tick)   (tick)
Cloud Foundry 1.x   (tick)   (tick)
         

 

Integrations support

Geneos integrations are configuration templates built using plug-ins for monitoring various applications and systems.

Integration Plug-ins used Requirements
ActiveMQ 3 JMX Server plug-in instances.
  • ActiveMQ version 5.15.3
Amazon Web Services (AWS) At least one Toolkit plug-in instance per monitored service.
  • Additional licence. Please contact your ITRS account manager for more information.
  • Python version 3.3 or higher.
Azure Cloud At least one Toolkit plug-in instance per monitored service.
  • Additional licence. Please contact your ITRS account manager for more information.
  • Python version 3.6 or higher.
Cassandra 6 JMX Server plug-in instances.
  • Cassandra version 3.11.1
Citrix 4 Toolkit plug-in instances.
  • Citrix XenApp version 7.x
  • PowerShell versions 4.0 or higher.
  • PowerShell execution policy must be allowed to execute scripts.
  • You must have an Active Directory user account with Citrix monitoring privileges configured in the Citrix Delivery Controller.
  • Application monitoring must be enabled in the Citrix Delivery Controller.
Control-M API plug-in
  • Control-M version 9.0.0.
    See Control-M Plug-in User Guide for monitoring BMC Control-M versions 9.0.18 or higher
  • Additional licence. Please contact your ITRS account manager for more information.
  • Java version 1.8 or higher.
CorvilNet

API plug-in

SNMP Trapmon plug-in

  • Additional licence. Please contact your ITRS account manager for more information.
  • A Linux machine where the CNPI and, if applicable, the trapFOD can run.
Docker 2 Toolkit plug-in instances
  • Docker version 17.12.0-ce
  • CentOS 7
Elasticsearch 8 Toolkit plug-in instances
  • Python 2.7 or higher, or Python 3.6 or higher.
Google Stackdriver At least one Toolkit plug-in instance per monitored service.
  • Additional licence. Please contact your ITRS account manager for more information.
  • Python version 3.5 or higher.
Hadoop (HDFS and YARN)

4 JMX Server instances.

3 Toolkit plug-in instances.

  • Hadoop version 3.0.0
  • Python 2.7 or higher, or Python 3.6 or higher.
Ultra Messaging API plug-in
  • Additional licence. Please contact your ITRS account manager for more information.
  • A Linux machine where the UMPI and the tnwgd can run.

ITRS Synthetic Monitoring (Apica) 4 Toolkit plug-in instances.
  • Python 2.7 or higher, or Python 3.6 or higher.
Kafka 4 JMX Server plug-in instances.
  • Kafka version 1.0.0
Kubernetes 14 Toolkit plug-in instances.
  • Geneos version 4.11.x or higher.
  • Python 3.4 or higher.
  • The kubectl client binary, version 1.1 or higher. It can be downloaded from the Kubernetes website.
    • When you set it up, you will have a configuration files that you can use to access the Kubernetes environment.
  • Access to the Kubernetes environment version 1.1 or higher.

Note: The support and compatibility that ITRS provides are only limited to the currently supported versions of Kubernetes. In addition, not all resources covered in our samplers might be available in your Kubernetes environment.

Note: The end of life (EOL) date for this integration is 30 September, 2020. The Collection Agent plugin for Kubernetes now replaces this integration, see Installation in a Kubernetes or OpenShift environment. The integration remains available to download from the Archived section of ITRS Downloads.
MongoDB 10 Toolkit plug-in instances.
  • MongoDB version 3.6
OpenShift 14 Toolkit plug-in instances
  • Geneos version 4.11.x or higher.
  • Python 3.4 or higher.
  • The oc client binary, version 3.11 or higher. It can be downloaded from the official OpenShiftGitHub repository.
    • The package contains an executable file named oc. Use the login option to generate your OpenShift configuration file that contains a token that allows the connection to your OpenShift environment.
  • Access to an OpenShift environment version 3.10 or higher or access to the OpenShift online service.
    • You need to be authenticated to OpenShift from the host where your Netprobe is running.

Note: The support and compatibility that ITRS provides are only limited to the currently supported versions of OpenShift. In addition, not all resources covered in our samplers might be available in your OpenShift environment.

Note: The end of life (EOL) date for this integration is 30 September, 2020. The Collection Agent plugin for Kubernetes now replaces this integration, see Installation in a Kubernetes or OpenShift environment. The integration remains available to download from the Archived section of ITRS Downloads.
PostgreSQL 1 SQL-Toolkit plug-in instance
  • PostgreSQL version 9.6
RabbitMQ 6 Toolkit plug-in instances
  • RabbitMQversion 1.1 or higher.
  • Python 2.7 or higher.
Terracotta Universal Messaging API plug-in
  • Additional licence. Please contact your ITRS account manager for more information.
TREP (Refinitiv)

RMC plug-in

TCP Links plug-in

Toolkit plug-in

SQL-Toolkit plug-in

Sybase and Sybase Server plug-ins

Mibmon plug-in

Trapmon plug-in

FKM plug-in

Processes plug-in

  • Additional licence. Please contact your ITRS account manager for more information.
Velocimetrics 5 JMX Server plug-in instances
  • Java 1.8 or higher.
VMWare ESXi API plug-in
  • Additional licence. Please contact your ITRS account manager for more information.
  • Java 1.8 or higher.
Zookeeper 2 JMX Server plug-in instances
  • Zookeeper version 3.4.11
     

Supported characters

All Geneos components only support ASCII characters 32-126.

Extended ASCII characters are not supported.

Database support

Database Versions Supported Database Support Notes
MySQL 5.6, 5.7, 8.0  
SAP ASE (Sybase) 15.7, 16.x  
Oracle 11.2, 12.1, 12.2, 18c, 19c Connecting to Oracle 19 from Linux requires at least RHEL 7.x.
MSSQL Server (MS ODBC Driver 13 and 17) 2012, 2014, 2016, 2017  
IBM DB2 10.1, 10.5, 11.1  
Postgresql 9.5, 9.6, 10, 11

Postgresql version 10 and 11 are supported for Gateway Database Logging. While, SQL Toolkit plug-in is supported in all identified versions.

MariaDB (use MySQL configuration option) 10.1, 10.2, 10.3  
     

 

Database MySQL Sybase Oracle MSSQL DB2 POSTGRESQL MariaDB
Active Console (tick) (tick) (tick) (tick)

 

(tick) (tick)
Web Dashboard (tick) (tick) (tick) (tick)   (tick) (tick)

Gateway

  • MSSQL server is only supported for Gateway running on Linux platform.
  • Postgresql version 10 and 11 are supported for Gateway Database Logging.
(tick) (tick) (tick) (tick) *

 

(tick) * (tick)
Plug-in: FIX Analyser 2 (tick)

 

 

 

 

 

 

Plug-in: Message Tracker (tick)

 

(tick)

 

 

 

 

Plug-in: Oracle

 

 

(tick)

 

 

 

 

Plug-in: SQL-Toolkit

  • MSSQL server is only supported for Netprobes running on Linux and Windows platforms.
  • Sybase and MSSQL server are NOT supported on IBM POWER8.
(tick) (tick) (tick) (tick) * (tick) (tick) (tick)
Plug-in: Sybase

 

(tick)

 

 

 

 

 

Plug-in: Sybase Server

 

(tick)

 

 

 

 

 

               

Browser support

Browser Versions Supported
Chrome Latest stable version
Firefox ESR 60.x, 68.x
Internet Explorer 11
MS Edge 44.x
   
Geneos Component IE MS Edge Firefox ESR Chrome
Gateway: Express Report 2 (tick) (tick) (tick)  
FIX Analyser 2 Netprobe: Show Orders Report (tick) (tick) (tick)  
Web Dashboard (Web Server) (tick) (tick) (tick) (tick)
Webslinger (tick) (tick) (tick) (tick)
Web Console (tick) (tick) (tick) (tick)
         

Java support

Beginning Geneos 4.12, Java support is standardised among all Geneos components based on the Long-Term Support (LTS) Java versions, namely Java 8 and 11.

Lower Java versions are no longer supported, unless otherwise indicated.

Platform support

Asterisk (*) indicates build version.

  Platform Java version supported
8 11
Linux (tick)* (tick)
IBM POWER88 (tick)* (tick)
Windows (tick)* (tick)
IBM AIX (tick)*  
     

Verified versions

All Geneos components, excepting the Active Console and Web Dashboard, are tested using OpenJDK Java 8 and 11. The Active Console and Web Dashboard are tested using OpenJDK Java 8.

Library support

Collection Agent Libraries

Collection Agent library Supported Collection Agent Supported Netprobe
  Collection Agent 1.x Collection Agent 2.x Netprobe 5.0.0 and earlier Netprobe 5.1.0 +
StatsD-client 1.x (tick)   (tick)  
StatsD-client 2.x   (tick)   (tick)
itrsstatsd 1.x (tick)   (tick)  
itrsstatsd 2.x   (tick)   (tick)
         

Application and plug-in specific information

Geneos Component Application Support Notes
Control-M plug-in
  • Verified with Control-M version 9.0.18.200.
  • Requires JRE, see Java support.
E4JMS (TIBCO EMS) plug-ins
  • Supports TIBCO Enterprise Message Service (EMS) versions 7.0, 8.0, 8.1, 8.2, 8.3, and 8.4.1.
  • Requires JRE, see Java support. It is recommended you configure the plugin to the use Java version that is packaged with or supported by your version of EMS.
Fidessa plug-in (Users View) Fidessa plug-in uses a command line utility called netstat. On Linux this utility is part of net-tools package. By default, net-tools package is no longer included in minimal RHEL 7 + distributions. Please make sure netstat utility is available on the host where Fidessa plug-in is run.
FIX Analyser 2 plugin Requires FIX Analyser 2 Netprobe (Linux 64-bit only) with File Agents that can run on Linux, Windows, and IBM AIX for collecting FIX Logs. FIX Analyser 2 plugin tracks the state of FIX protocol version 4.2 orders.
FLM Plug-in The table below illustrates the support matrix for the different market data feeds currently supported in FLM plug-in.
Netprobe PlatformRFA (OMM)GLTTNYXT
netprobe-windows-x64(tick)(tick)(tick)

 

netprobe-linux-x64(tick)(tick)

 

(tick)

Note:

  • RFA version 8 supports the microseconds and nanoseconds timestamps that are useful for RawLatency and DataQuality solutions.
  • MDI connections on RFA are no longer supported.
Gateway Hub

Provides the support matrix for Gateway Hub, Gateway, and Active Console.

Feature Gateway Hub version Compatible versions
Anomaly Detection 1.5 or higher Gateway 4.13 or higher
Gateway Setup Editor 4.13 or higher
Centralised configuration 1.6 or higher Gateway 5.0 or higher
Gateway Setup Editor 5.0 or higher
Publish data to Gateway Hub 1.4 Gateway 4.8 to 4.13
1.5 Gateway 4.8 or higher
1.6 or higher Gateway 4.12 or higher
View data in Active Console 1.4 or higher Active Console 4.9 or higher
IBM i plugins
JMX plug-ins
  • Generic connection to a JMX-enabled application is supported for Java, see Java support.
  • WebSphere connection to an IBM WebSphere Application Server is supported on WebSphere versions 8.5 and 8.5.5 (9.0 coming soon). It is recommended you configure Netprobe to use Java version that is packaged with your version of WebSphere.
  • WebLogic connection to an Oracle WebLogic Server is supported on WebLogic versions 10.3, 11.1, 12.1 and 12.2. It is recommended you configure Netprobe to use the Java version that is packaged with your version of WebLogic.
Market Data Monitor (MDM) Market Data Monitor provides feed adapter libraries used for subscribing to market data feeds. Table below illustrates the different market data feeds and their supported platforms.
Netprobe PlatformRFA (OMM)GLTTNYXTBloombergExegyQuantFeed
netprobe-windows-x64(tick)(tick)(tick)

 

(tick)(tick)(tick)
netprobe-linux-x64(tick)(tick)

 

(tick)(tick)(tick)(tick)*

To consume Elektron Pulse data, you will need an updated definition file enumtype.def from or based on TREP Template version 15.91 or newer. Definition file is provided in the Netprobe package or this can be downloaded from Refinitiv Customer Zone.

QuantFeed no longer supports Red HatEnterprise Linux 5 (RHEL 5) platforms. This is due to a change in requirements for the QuantFeed OS 3.8.4.8 library.

Note:

  • RFA version 8 supports the microseconds and nanoseconds timestamps that are useful for RawLatency and DataQuality solutions.
  • MDI connections on RFA are no longer supported.
MQ Plug-ins IBM MQ versions 7.5.x, 8.0.x, 9.0.x are supported.
Netprobe and Collection Agent

From Geneos 5.0 the Netprobe comes packaged with Collection Agent and StatsD plug-in on Linux and Windows platforms. Collection Agent can be started by the Netprobe via its configuration, or run standalone as containerised or non-containerised application.

A Self-announcing Netprobe version 5.1.2 or later, that is configured with a Dynamic Entities Mapping type, will not connect to a Gateway version 5.0.x or earlier. A failed connection will be recorded in the Netprobe log, with a warning that the Gateway version is too old.

REST API
  • Requires JRE, see Java support.
  • Netprobe version 4.12.x or higher.
  • Connection to the Licence Daemon version 4.12.x or higher.
REST Extractor
  • Requires JRE, see Java support.
  • Uses jq for Jackson Java JSON Processor version 0.0.9.
TIB RV plug-in Verified with TIBCO Rendezvous Service versions 8.2 and 8.4.5.
TCP-Links TCP-Links plug-in uses a command line utility called netstat. On Linux this utility is part of net-tools package. By default, net-tools package is no longer included in minimal RHEL 7 + distributions. Please make sure netstat utility is available on the host where TCP-Links plug-in is run.
Trapmon plug-in Trap Monitor plug-in on windows Netprobe does not support the new Mib Files, Custom View and Clear trap command features.
Veritas Cluster Server plug-in Veritas Cluster Server plug-in supports Symantec Veritas Cluster Server versions 5.0, 5.1 and 6.0.
Web Dashboard (Web Server) There is a Web Dashboard package available without a JRE packaged. Users need to make sure Web Dashboard can access a supported JRE environment, version Java 8.
Win Cluster plug-in Win Cluster plug-in supports Windows Server Failover Clustering (WSFC) on Windows Server 2008 R2 and Windows 2012 Enterprise and Datacenter editions. 
WTS Plug-ins WTS Licenses plug-in requires Microsoft Licensing Reporter Tool (lsreport.exe) installed and functioning. This tool is no longer supported by Microsoft in Windows Server 2008 and newer. 
   

Geneos compatibility and lifecycle

This section outlines all the changes to Geneos compatibility and lifecycle. ITRS will always work with you to minimise impact of any changes, and listen to your feedback. If you have any queries, please contact ITRS Support.

The notice of change in the Geneos compatibility identifies the components, plug-ins, or features that will no longer be supported by ITRS in any future releases.

End of support notices

The end of support means that the affected component, plug-in, or feature is no longer supported and this ends the release of binaries. The table below lists the affected components, plug-ins, and features:

Notice of change Affected components Effective date Alternative/Upgrade Path
End of support for all Geneos versions 3.x.x All Geneos components version 3.x.x 30 April 2020 Upgrade to Geneos version 4.x.x or newer.
End of support Kubernetes integration 30 September 2020 Use Collection Agent plugin for Kubernetes. See Installation in a Kubernetes or OpenShift environment.
End of support OpenShift integration 30 September 2020 Use Collection Agent plugin for Kubernetes. See Installation in a Kubernetes or OpenShift environment.
       

End of releasing binaries

The end of releasing binaries means that the affected components, plug-ins, or features are no longer getting binaries for certain platforms, but the support continues. The table below lists the affected components, plug-ins, and features:

Notice of Change Affected Components Effective Date Alternative/Upgrade Path
End of releasing binaries for Netprobe for 32-bit Windows platforms Netprobe on 32-bit Windows

30 April 2019

Use 64-bit Windows Netprobe.
End of releasing binaries for Licence Daemon for Solaris platforms. Licence Daemon on Solaris x64 and Solaris Sparc 31 July 2019

Use Linux distribution of Licence Daemon.

Solaris distribution of Licence Daemon is still supported for already available versions of Geneos 4.x.

End of releasing binaries for Web Dashboard for Solaris platforms. Web Dashboard on Solaris (x64 and Sparc) 31 July 2019

Use Linux distribution of Web Dashboard.

Solaris distribution of Web Dashboard is still supported for already available versions of Geneos 4.x.

End of releasing binaries for Webslinger for Solaris platforms. Webslinger on Solaris (Sparc) 31 July, 2019

Use Linux distribution of Webslinger.

Solaris distribution of Webslinger is still supported for already available versions of Geneos 4.x.

End of releasing binaries for Gateway for Solaris platforms. Gatewayon Solaris (x64 and Sparc) 31 July, 2019

Use Linux distribution of Gateway.

Solaris distribution of Gateway is still supported for already available versions of Geneos 4.x.

End of releasing binaries for Netprobe for Solaris platforms. Netprobe on Solaris (x64 and Sparc) 30 October 2019

Use Linux, Linux on Power 8, Windows or AIX distribution of Netprobe.

Solaris distribution of Netprobe is still supported for already available versions of Geneos 4.x.

       

Deprecated and removed features

This section documents any features deprecated or removed in Geneos 4.x.x versions to date, and lists any useful alternatives or upgrade paths.

Deprecated features

Deprecated features are no longer supported by ITRS, but users can continue to use them if they wish. Users should avoid depending on any deprecated features as they may be removed in any future releases.

Geneos components Affected versions Description Alternatives
Netprobe: deprecated plug-ins Geneos 3.0.0 + Support ended 30 June 2013

 

  • Brass – QMS --> No Planned Replacement
  • Wombat-Papa Stats --> NYXT Mama Stats
  • Wombat-Mama Stats --> NYXT Papa Stats
  • Latency – RTT --> Message Tracker 
  • BGD – TRIARCH --> No Planned Replacement
  • BGS – TRIARCH --> No Planned Replacement
  • ISFS – TRIARCH --> No Planned Replacement
  • SNMP – MIBS --> Mib Monitor
  • Sink --> No Planned Replacement
  • Source --> No Planned Replacement
  • TIB – Link --> No Planned Replacement
  • Reuters Bridge Feed --> No Planned Replacement
  • Reuters Plus --> No Planned Replacement
  • Remote SQL --> SQl Toolkit
  • Fidessa-Markets --> No Planned Replacement
  • Fidessa-To --> No Planned Replacement
Netprobe: Datacom Plug-in Geneos 3.0.22 + Plug-in renamed in Geneos 3.0.22 Datacom Plug-in renamed to Tradeview Plug-in
Netprobe: plug-ins
  • MQ Channel Details
  • MQ Channel Overview
  • MQ Queue Details
  • MQ Queue Overview
  • Win-CPU
  • X-25 Links
Geneos 3.1.x + Support ended 31 March 2015
  • MQ Channel Details à MQ Channel
  • MQ Channel Overview à MQ Channel
  • MQ Queue Details à MQ Queue
  • MQ Queue Overviewà MQ Queue
  • Win-CPU à CPU
  • X-25 Links à No Planned Replacement
Netprobe: plug-ins
  • Effix Status
  • Fix Analyser
  • Fix Cameron Status
  • Gissing
  • NYXT mama
  • RTIC Latency
  • SWX
  • TIB GSM
  • TIB Tic
  • Tib View
  • Triarch Latency
  • UL Bridge
Geneos 4.2.x + Support ended 30 April 2017

 

  • Effix Status--> no replacement
  • Fix Analyser --> upgrade to Fix Analyser 2
  • Fix Cameron Status --> no replacement
  • Gissing --> Upgrade to TR ConteX
  • Integration to Geneos provided by TR
  • NYXT mama --> no replacement
  • RTIC Latency --> Upgrade to Market Data
  • Monitor (MDM)
  • SWX --> no replacement
  • TIB GSM --> no replacement
  • TIB Tic --> no replacement
  • Tib View --> no replacement
  • Triarch Latency --> no replacement
  • UL Bridge --> Upgrade to ULLink
  • Integration to Geneos provided by ULLink

Gateway Setup Editor setting:

Managed Entities > Banner setting

Geneos 5.0 +   No replacement

Gateway Setup Editor setting:

Sampler > Publish

Geneos 5.0 +   No replacement
       

Removed features

Removed features are no longer supported and have been removed or disabled in Geneos.

To view the list of other features that have been removed in the past release, see Removed features in Geneos 4.x Compatibility Matrix.

Geneos Components Description Alternative/Upgrade Path
Web Montage (Web Services) The end of support for Web Montage ended on 31 January 2020. To be announced.
Open Access Cluster Node, Open Access Java Client (API) The end of support for Open Access ended on 31 January 2020. To be announced.
All Geneos components version 3.0.x The end of support for all Geneos versions 3.0.x ended on 30 October 2019. Upgrade to Geneos version 4.x.x or newer.
SSO Agent The end of support for SSO Agent NTLM authentication method ended on 30 October 2019. Use SSO Agent with Kerberos or HTTP Basic authentication method.
EUEM Netprobe and Plug-in The end of support for End User Experience Monitoring (EUEM) Netprobe and Plug-in ended on 30 April 2019 . ITRS Synthetic Monitoring User Guide
FIX Plug-in The end of support for FIX Plug-in ended on 30 April 2019. FIX Analyser 2 Netprobe User Guide
Combo Plug-in The end of support for Combo Plug-in ended on 31 July 2019. Gateway-SQL in Gateway Plug-Ins
Component Versions Plug-in The end of support for Component Versions ended on 31 July 2019. No alternative.
FLM Plugin on Solaris (x64 and Sparc) The end of support for Feed Latency Monitor Plug-in (FLM) on Solaris platforms ended on 31 July 2019. Run FLM Plugin on Linux or Windows platforms.
MDM Plug-in on Solaris (x64 and Sparc) The end of support for Market Data Monitor Plug-in (MDM) on Solaris platform on 31 July 2019. Run MDM Plug-in on Linux or Windows platforms
Informix Plug-in The end of support for Informix Plug-in ended on 31 July 2019. Toolkit script.
Nanomsg Gateway Publishing adapter The end of support for Nanomsg Gateway Publishing adapter ended on 30 November 2018. Kafka Gateway Publishing adapter
Geneos: Platform Support End support for Windows XP, Vista, Windows 2003, 2008, 2008 R2. Migrate to Windows 8.1 / 2012 or newer
Geneos: Platform Support End support for AIX 5.3 and 6.1. Migrate to AIX 7.1 or newer
Geneos: Platform Support The end support for Linux 5 and older for all other components ended. Migrate to Linux 6 or newer